mIRC Home    About    Download    Register    News    Help

Print Thread
Page 2 of 2 1 2
Joined: Oct 2019
Posts: 5
8
Nutrimatic drinks dispenser
Offline
Nutrimatic drinks dispenser
8
Joined: Oct 2019
Posts: 5
The beta version fixed the issue for me, thanks!

Joined: May 2011
Posts: 24
S
Ameglian cow
Offline
Ameglian cow
S
Joined: May 2011
Posts: 24
Originally Posted by Khaled
I have just released a beta that -might- fix this issue. If you are seeing this issue, please try out the beta and let me know if you still see it. Thanks!



It works perfectly with the beta.

Thank you!

Joined: Jan 2012
Posts: 224
Fjord artisan
Offline
Fjord artisan
Joined: Jan 2012
Posts: 224
Originally Posted by Khaled
If you enable "Display invalid certificates for approval" in Options/Connect/Options/SSL, what does it show as the error in the SSL Warning dialog when you try to connect?

A window like this opens:

    [Linked Image from i.ibb.co]

I click on the "OK" button and a new attempt to connect to the server starts:

Code
* [10101] Host disconnected
* Disconnected
* Connect retry #2 irc.epicnet.ru (+6668)
*** Connecting to IRC chat ...

After that, all subsequent connections to the server occur without failures and errors :-]

The test was done on mIRC v7.66 (not beta).


🌐 http://forum.epicnet.ru 📜 irc.epicnet.ru 6667 #Code (mIRC scripts, help, discuss, examples)
Joined: Dec 2008
Posts: 1,513
Hoopy frood
Online
Hoopy frood
Joined: Dec 2008
Posts: 1,513


Need Online mIRC help or an mIRC Scripting Freelancer? -> https://irc.chathub.org <-
Joined: Jan 2004
Posts: 1,987
Hoopy frood
Offline
Hoopy frood
Joined: Jan 2004
Posts: 1,987
Yes Epic, that works for that 1 server's certificate, but you'd get that for each of the servers connected to the network's round-robin address, and would probably get it again the next time that server changed their certificate.

The beta fixes the problem for me at least.

For those using older mIRC versions, I encountered this also with version 7.56 too. For versions prior to that, Libera.chat doesnt want to let it use an SSL connection because of using TLSv1.1. At another network which allows connection from 7.55 and earlier, it also had the same certificate warning there too.

Joined: Dec 2002
Posts: 5,243
Hoopy frood
Offline
Hoopy frood
Joined: Dec 2002
Posts: 5,243
Quote
It works perfectly with the beta.

Good to hear. This change will be in the next release.

Page 2 of 2 1 2

Link Copied to Clipboard